Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Tree: 316f71460c
Fetching contributors…

Cannot retrieve contributors at this time

107 lines (101 sloc) 3.299 kB
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = "bio-affy"
s.version = "0.5.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Pjotr Prins"]
s.date = "2012-04-18"
s.description = "Affymetrix microarray file format parser\n (CEL/CDF) for Ruby. FFI binding to Biolib port of R/Affyio by Benjamin Milo Bolstad"
s.email = "pjotr.public01@thebird.nl"
s.executables = ["bio-affy"]
s.extensions = ["ext/src/mkrf_conf.rb"]
s.extra_rdoc_files = [
"LICENSE.txt",
"README.rdoc"
]
s.files = [
".document",
".rspec",
".travis.yml",
"Gemfile",
"Gemfile.lock",
"LICENSE.txt",
"README.rdoc",
"Rakefile",
"VERSION",
"bin/bio-affy",
"bio-affy.gemspec",
"ext/DESCRIPTION",
"ext/HISTORY",
"ext/LICENSE",
"ext/NAMESPACE",
"ext/README_BIOLIB",
"ext/aclocal.m4",
"ext/configure",
"ext/configure.in",
"ext/src/CMakeLists.txt",
"ext/src/Makevars.in",
"ext/src/Makevars.win",
"ext/src/Rakefile",
"ext/src/biolib_R_map.c",
"ext/src/biolib_R_map.h",
"ext/src/biolib_affyio.c",
"ext/src/biolib_affyio.h",
"ext/src/biolib_error.c",
"ext/src/biolib_error.h",
"ext/src/fread_functions.c",
"ext/src/fread_functions.h",
"ext/src/mkrf_conf.rb",
"ext/src/read_abatch.c",
"ext/src/read_abatch.h",
"ext/src/read_bpmap.c",
"ext/src/read_cdf.h",
"ext/src/read_cdf_xda.c",
"ext/src/read_cdffile2.c",
"ext/src/read_celfile_generic.c",
"ext/src/read_celfile_generic.h",
"ext/src/read_clf.c",
"ext/src/read_generic.c",
"ext/src/read_generic.h",
"ext/src/read_pgf.c",
"lib/bio-affy.rb",
"lib/bio/affy.rb",
"lib/bio/affyext.rb",
"spec/bio-affy_spec.rb",
"spec/spec_helper.rb"
]
s.homepage = "http://github.com/pjotrp/bioruby-affy"
s.licenses = ["MIT"]
s.require_paths = ["lib"]
s.rubyforge_project = "nowarning"
s.rubygems_version = "1.8.10"
s.summary = "Parse Affymetrix CEL/CDF files"
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_development_dependency(%q<rspec>, ["~> 2.7.0"])
s.add_development_dependency(%q<bundler>, [">= 1.1.3"])
s.add_development_dependency(%q<jeweler>, [">= 0"])
s.add_development_dependency(%q<cucumber>, [">= 0"])
s.add_development_dependency(%q<ffi>, [">= 1.0.11"])
s.add_development_dependency(%q<mkrf>, [">= 0.2.3"])
else
s.add_dependency(%q<rspec>, ["~> 2.7.0"])
s.add_dependency(%q<bundler>, [">= 1.1.3"])
s.add_dependency(%q<jeweler>, [">= 0"])
s.add_dependency(%q<cucumber>, [">= 0"])
s.add_dependency(%q<ffi>, [">= 1.0.11"])
s.add_dependency(%q<mkrf>, [">= 0.2.3"])
end
else
s.add_dependency(%q<rspec>, ["~> 2.7.0"])
s.add_dependency(%q<bundler>, [">= 1.1.3"])
s.add_dependency(%q<jeweler>, [">= 0"])
s.add_dependency(%q<cucumber>, [">= 0"])
s.add_dependency(%q<ffi>, [">= 1.0.11"])
s.add_dependency(%q<mkrf>, [">= 0.2.3"])
end
end
Jump to Line
Something went wrong with that request. Please try again.